@echo off

set url1="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=balanceSheetHistory"
set url2="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=balanceSheetHistoryQuarterly"
set url3="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=incomeStatementHistory"
set url4="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=incomeStatementHistoryQuarterly"
set url5="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=cashflowStatementHistory"
set url6="https://query1.finance.yahoo.com/v10/finance/quoteSummary/{symbol}?modules=cashflowStatementHistoryQuarterly"

if exist data.csv del data.csv

gsqlcmd convert %url1% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /rowvalues /rootpath=*.*.*.*.* /add=Symbol={Symbol};LoadDate=Now();Report=bs_a
gsqlcmd convert %url2% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /rowvalues /rootpath=*.*.*.*.* /add=Symbol={Symbol};LoadDate=Now();Report=bs_q
gsqlcmd convert %url3% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /rowvalues /rootpath=*.*.*.*.* /add=Symbol={Symbol};LoadDate=Now();Report=is_a
gsqlcmd convert %url4% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /rowvalues /rootpath=*.*.*.*.* /add=Symbol={Symbol};LoadDate=Now();Report=is_q
gsqlcmd convert %url5% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /rowvalues /rootpath=*.*.*.*.* /add=Symbol={Symbol};LoadDate=Now();Report=cf_a
gsqlcmd convert %url6% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /rowvalues /rootpath=*.*.*.*.* /add=Symbol={Symbol};LoadDate=Now();Report=cf_q

if .%1.==./Q. goto :EOF

start notepad.exe data.csv

@pause
